PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_connect

## Name

SPI_connect -- Connects your procedure to the SPI manager.

## Synopsis

    int SPI_connect(void)

### Inputs

None

### Outputs

int

  Return status

  SPI_OK_CONNECT

    if connected

  SPI_ERROR_CONNECT

    if not connected

## Description

`SPI_connect` opens a connection to the Postgres backend. You should call this function if you will need to execute queries. Some utility SPI functions may be called from un-connected procedures.

If your procedure is already connected, `SPI_connect` will return an SPI_ERROR_CONNECT error. Note that this may happen if a procedure which has called `SPI_connect` directly calls another procedure which itself calls `SPI_connect`. While recursive calls to the SPI manager are permitted when an SPI query invokes another function which uses SPI, directly nested calls to `SPI_connect` and `SPI_finish` are forbidden.

## Usage

## Algorithm

`SPI_connect` performs the following:

•

  Initializes the SPI internal structures for query execution and memory management.

Prev | Home | Next
Server Programming Interface | Up | SPI_finish